//bu sinif sinif degiskeni kompleksi boyutlu olarak çcagirir.
//not buradaki bayagikesir sinifi bayagikesir1.java programi
//tarafindan yaratilmistir.

import javax.swing.JOptionPane;
import java.io.*; //java girdi cikti sinifini cagir
import bayagikesir;


class H8AL1_2000
{

public  static void main(String args[]) throws IOException
{
Text cin=new Text();
double n1,n2;
System.out.print("toplam bayagi kesir sayisi, n = ");
int n=cin.readInt();
bayagikesir sayi[]=new bayagikesir[n];
bayagikesir toplam=new bayagikesir();
int i;
String s="";
for(i=0;i<sayi.length;i++)
{
try{
    System.out.print("bir bayagikesir giriniz : ");
    n1=cin.readDouble();
    n2=cin.readDouble();
    sayi[i]=new bayagikesir(n1,n2);
   }
  catch (gercekSayiException e)
   {
    JOptionPane.showMessageDialog(null,e.getMessage(),"Gerçek Sayı Hatası",
    JOptionPane.ERROR_MESSAGE);
    i--;
   }
   catch (bayagikesirException e)
   {
    JOptionPane.showMessageDialog(null,e.getMessage(),"Bayağı kesir Hatası",
    JOptionPane.ERROR_MESSAGE);
   }

}

for(i=0;i<sayi.length;i++)
{
    try{
       toplam.topla(sayi[i]);
       }
       catch (bayagikesirException e)
       {
       JOptionPane.showMessageDialog(null,e.getMessage(),"Bayağı kesir Hatası",
       JOptionPane.ERROR_MESSAGE);
       }
}

       s+="Ortalama = "+toplam.toString();

    try{
       toplam.bol(sayi.length);
       }
       catch (bayagikesirException e)
       {
       JOptionPane.showMessageDialog(null,e.getMessage(),"Bayağı kesir Hatası",
       JOptionPane.ERROR_MESSAGE);
       }
       s+="Ortalama = "+toplam.toString();
       JOptionPane.showMessageDialog(null,s,
       "Bayağı kesir Ortalaması",JOptionPane.PLAIN_MESSAGE);
       System.exit(0);
}
}
